Subject: [TR] Tax Stamp

From: [email-masked]
Date: Sun, 10 Mar 2013 17:10:58 -0400 (EDT)

Hello List,
 
Does anyone know where I can get a replica Tax Stamp for the windscreen of  
my TR4?
 
I had one on my TR6 but I can't recall for certain where I got it;  it  was 
a very nicely done replica.
 
The top is officially down for the summer so I'm 99% sure that we'll get a  
major snowstorm next week but at least I have a couple of near 60 degree 
days to  be out and about:)
 
Cheers,
 
Chip Krout
Delaware Valley Triumphs, Ltd.
Skippack, PA 
1962 TR4  CT2052L

** [email-masked] **

Archive: http://www.team.net/archive